2022-05-17 18:42 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000557mercuryBugpublic2022-04-11 13:42
Reporterdirkz 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSMacOSOS VersionCatalina
Product Version 
Target VersionFixed in Version 
Summary0000557: Ambiguous type causes compiler error without giving a useful error message for debugging
DescriptionMercury-Versions: 22.01 and rotd-2022-04-07

Two discriminated union types are defined in separate modules foo.m and bar.m and share the same name `ambiguous_type`. The module foo.m defines a record type of which one field has type `ambiguous_type`. A module qualification for the type of this record field is missing.

Actual result:
The compiler aborts with error and without giving a useful error message for debugging.

Expected result:
The compiler aborts with error, complaining about the missing module qualification for the ambiguous type.
Steps To ReproduceRun the attached test case (foo.m and bar.m)

mmc --make foo
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001190

zs (developer)

Fix committed 2022 apr 11.
+Notes

-Issue History
Date Modified Username Field Change
2022-04-11 01:08 dirkz New Issue
2022-04-11 01:08 dirkz File Added: test-case.tar.xz
2022-04-11 10:41 zs Assigned To => zs
2022-04-11 10:41 zs Status new => assigned
2022-04-11 13:42 zs Status assigned => resolved
2022-04-11 13:42 zs Resolution open => fixed
2022-04-11 13:42 zs Note Added: 0001190
+Issue History